ViewDefinition (CMDB Model API)
Keywords: com.collation.platform.model.gui.customviews.ViewDefinition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.customviews
Interface ViewDefinition

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable

    public interface ViewDefinition

extends ProductModelObject

Represents a custom views

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  VIEWDEF
Display Name:
  name

Method Summary
`ViewConstruct[]` | `getExcludeViewConstructs()`
`java.lang.String` | `getName()`
`ViewConstruct[]` | `getViewConstructs()`
`boolean` | `hasExcludeViewConstructs()`
`boolean` | `hasName()`
`boolean` | `hasViewConstructs()`
`void` | `setExcludeViewConstructs(ViewConstruct[] viewConstructs)`
`void` | `setName(java.lang.String name)`
`void` | `setViewConstructs(ViewConstruct[] viewConstructs)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### hasName

    boolean hasName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasViewConstructs

    boolean hasViewConstructs()

### getViewConstructs

    ViewConstruct[] getViewConstructs()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    false

### setViewConstructs

    void setViewConstructs(ViewConstruct[] viewConstructs)

### getExcludeViewConstructs

    ViewConstruct[] getExcludeViewConstructs()
                                             throws AttributeNotSetException

  Returns:
  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    false

### setExcludeViewConstructs

    void setExcludeViewConstructs(ViewConstruct[] viewConstructs)

### hasExcludeViewConstructs

    boolean hasExcludeViewConstructs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD